Problèmes et questions sur les environnements graphiques et les applications.
Répondre

youtube-dl-gui-git

#1Messageil y a 3 mois

Bonjour à tous,

Impossible de faire la mise à jour d'après ce message:
==> Vérification des dépendances pour l’exécution…
==> Vérification des dépendances pour la compilation…
==> Récupération des sources…
==> ERREUR : /var/tmp/pamac-build-alkiros/youtube-dl-gui-git/youtube-dl-gui-git n’est pas un clone de https://github.com/oleksis/youtube-dl-gui.git
Abandon…
Impossible de construire youtube-dl-gui-git
Si qq1 pouvais m'instruire?

youtube-dl-gui-git

#2Messageil y a 3 mois

Salut,

Apparemment, le dépôt gihub pour cette application a changé, et dans ton cache tu as la copie de l'ancien dépôt, l'incohérence entre les deux dépôts est détectée, c'est pourquoi la mise à jour est refusée.

Ce que je trouve bizarre, c'est qu'en général les paquets AUR sont créés dans /tmp ou dans un répertoire choisi par l'utilisateur si c'est possible. On dirait que tu installes les paquets AUR en mode root, les "helpers" comme yay ou trizen (je ne connais pas pamac) demandent le mot de passe seulement lors de l'installation du paquet, le téléchargement et la compilation des sources se font en mode utilisateur.

Bref si tu veux que ça s'installe, il faut supprimer le répertoire youtube-dl-gui-git et son contenu, qui se trouvent dans /var/tmp/pamac-build-alkiros/

youtube-dl-gui-git

#3Messageil y a 3 mois

:bjr:
le répertoire de cache de pamac est par défaut /var/tmp/ depuis 1 an ou 2 (avant c'était le classique /tmp/)
Oui, il suffit de supprimer le cache de ce paquet (<cache pamac>/youtube-dl-gui-git/)

youtube-dl-gui-git

#4Messageil y a 3 mois

Merci les amis, c'est bon, la mise à jour s'est effectuée sans problèmes.
A noter que je n'installe rien en root!
Répondre